#include <bits/stdc++.h>
#define ll long long
#define pb push_back
using namespace std;
int main(int argc, char *argv[])
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    ll n,m;
    cin>>n>>m;
    // n-redova
    // red od leva ka desno
    // ll ans=n*2+(m-2)*2+((m-2)*(n-2))/2;
    ll ans=0;
    if(n==1){
        if(m==1)ans=1ll;
        else ans=m;
    }
    else if(m==1){
        ans=n;
    }
    else ans=n*2+(m-2)*2+((m-2)*(n-2))/2;
    cout<<ans;
    // 07 08 09
    // 12 13 14
    // 17 18 19-
    //  -  -  -
}